commit: a1056a55e3a42a62cc33d4aea82cc184e315b590
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 12 23:33:37 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 23:34:13 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1056a55
dev-python/pyspf: add Python 3.9
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/pyspf/pyspf-2.0.14.ebuild | 31 +++++++++++++++++++------------
1 file changed, 19 insertions(+), 12 deletions(-)
diff --git a/dev-python/pyspf/pyspf-2.0.14.ebuild
b/dev-python/pyspf/pyspf-2.0.14.ebuild
index 97a34c45d65..ca804235f39 100644
--- a/dev-python/pyspf/pyspf-2.0.14.ebuild
+++ b/dev-python/pyspf/pyspf-2.0.14.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_6 python3_7 python3_8 )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
PYTHON_REQ_USE="ipv6?"
DISTUTILS_USE_SETUPTOOLS=no
@@ -17,19 +17,26 @@ LICENSE="PSF-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="ipv6 test"
+REQUIRED_USE="test? ( ipv6 )"
RESTRICT="!test? ( test )"
-RDEPEND="dev-python/authres[${PYTHON_USEDEP}]
- || ( dev-python/pydns:3[${PYTHON_USEDEP}]
- dev-python/dnspython[${PYTHON_USEDEP}] )"
-
-DEPEND="test? ( ${RDEPEND}
- dev-python/pyyaml[${PYTHON_USEDEP}] )"
-
-REQUIRED_USE="test? ( ipv6 )"
+RDEPEND="
+ dev-python/authres[${PYTHON_USEDEP}]
+ || (
+ dev-python/pydns:3[${PYTHON_USEDEP}]
+ dev-python/dnspython[${PYTHON_USEDEP}]
+ )
+"
+
+DEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
python_test() {
- pushd test &> /dev/null
+ pushd test &> /dev/null || die
"${PYTHON}" testspf.py || die
- popd &> /dev/null
+ popd &> /dev/null || die
}